<?xml version="1.0" encoding="UTF-8"?>
<!--
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */
 -->
<routes xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Webapi:etc/webapi.xsd">
    <route url="/V1/externalinvoice/save" method="POST">
        <service class="FiloBlu\Esb\Api\ExternalInvoiceInterface" method="save"/>
        <resources>
            <resource ref="FiloBlu_Esb::esb"/>
        </resources>
    </route>
    <route url="/V1/externalshipment/save" method="POST">
        <service class="FiloBlu\Esb\Api\ExternalShipmentInterface" method="save"/>
        <resources>
            <resource ref="FiloBlu_Esb::esb"/>
        </resources>
    </route>
    <route url="/V1/externalcreditmemo/save" method="POST">
        <service class="FiloBlu\Esb\Api\ExternalCreditmemoInterface" method="save"/>
        <resources>
            <resource ref="FiloBlu_Esb::esb"/>
        </resources>
    </route>
    <route url="/V1/acknowledge/save" method="POST">
        <service class="FiloBlu\Esb\Api\AcknowledgeManagementInterface" method="save"/>
        <resources>
            <resource ref="FiloBlu_Esb::esb"/>
        </resources>
    </route>
    <route url="/V1/esb/message/push" method="POST">
        <service class="FiloBlu\Esb\Api\ObjectTypeServiceInterface" method="push"/>
        <resources>
            <resource ref="anonymous" />
        </resources>
    </route>
    <route url="/V1/externalorder/updateFilobluExtensionAttributes" method="POST">
        <service class="FiloBlu\Esb\Api\ExternalOrderInterface" method="updateFilobluExtensionAttributes"/>
        <resources>
            <resource ref="FiloBlu_Esb::esb"/>
        </resources>
    </route>
</routes>
